hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lars Hofhansl (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-13339) Update default Hadoop version to 2.6.0
Date Wed, 22 Apr 2015 17:45:01 GMT

    [ https://issues.apache.org/jira/browse/HBASE-13339?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14507527#comment-14507527
] 

Lars Hofhansl commented on HBASE-13339:
---------------------------------------

It seems fine to update the default as long as one can go from 0.98/1.0 to 1.1 without being
forced to upgrade Hadoop.
Forcing a Hadoop upgrade that requires running through the Hadoop upgrade process through
a minor HBase version upgrade is a no-go IMHO.
(I assume that would be the cases going from 2.5.x to 2.6.x)

I think what we want is all new folks starting with Hadoop 2.6.x while allowing existing users
to stay at their version of Hadoop until they upgrade HBase to 2.0.

(In theory we could simply call 1.1 2.0 instead and would not have broken any promises)


> Update default Hadoop version to 2.6.0
> --------------------------------------
>
>                 Key: HBASE-13339
>                 URL: https://issues.apache.org/jira/browse/HBASE-13339
>             Project: HBase
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 2.0.0, 1.1.0
>            Reporter: Elliott Clark
>            Assignee: Elliott Clark
>         Attachments: HBASE-13339-v1.patch, HBASE-13339.patch
>
>
> Current default Hadoop version is getting a little long in the tooth. We should update
to the latest version. The latest version is backwards compatible with 2.5.1's dfs and mr
so this should be painless.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message